Bug 255773 - x11-toolkits/libXaw: update to 1.0.14
Summary: x11-toolkits/libXaw: update to 1.0.14
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL: https://lists.x.org/archives/xorg-ann...
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2021-05-11 04:40 UTC by Jan Beich
Modified: 2021-05-18 15:05 UTC (History)
0 users

See Also:
jbeich: exp-run+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2021-05-11 04:40:13 UTC
See review D30205 for the patch.
Comment 1 Jan Beich freebsd_committer 2021-05-11 17:41:37 UTC
Has a number of heavy consumers (e.g., {libre,open}office*) I'm not going to test locally. Can you help?
Comment 3 commit-hook freebsd_committer 2021-05-18 15:04:57 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bec544ecd3932cff8c64cd07baed7ec34445331c

commit bec544ecd3932cff8c64cd07baed7ec34445331c
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-03-27 17:40:21 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-05-18 14:57:14 +0000

    x11-toolkits/libXaw: update to 1.0.14

    Changes:        https://lists.x.org/archives/xorg-announce/2021-March/003077.html
    PR:             255773
    Reported by:    portscout
    Approved by:    zeising
    Exp-run by:     antoine
    Differential Revision:  https://reviews.freebsd.org/D30205

 astro/xtide/files/patch-xxLocationList.cc (new)   | 20 ++++++++
 x11-toolkits/libXaw/Makefile                      |  3 +-
 x11-toolkits/libXaw/distinfo                      |  5 +-
 x11-toolkits/v/files/patch-srcx-vcomboc.cxx (new) | 20 ++++++++
 x11-toolkits/v/files/patch-srcx-vlistcc.cxx       | 59 +++++++++++++++++++++--
 5 files changed, 100 insertions(+), 7 deletions(-)
Comment 4 Jan Beich freebsd_committer 2021-05-18 15:05:51 UTC
Thanks. C++ didn't want to implicitly convert "char **" to "const char **", so I've fixed both via cast.